Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder.servlets.jsp.taglib
Class PlaceholderTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.placeholder.servlets.jsp.taglib.PlaceholderTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

public class PlaceholderTag
extends TagSupport

Corresponds to `<ph:placeholder>`.

The `<ph:placeholder>`. tag will query the PlaceholderService for the content to place in the placeholder.

Tag Attribute | Required | Type | Description
name | yes | String | The name of the placeholder
height | no | Integer | The requested height of the resulting content
width | no | Integer | The requested width of the resulting content

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PlaceholderTag()`

Method Summary
`int` | `doStartTag()` Return the content for the named placeholder to the JSP page.
`protected String` | `fixPlaceholderName(String name)` Convert a placeholder name to a placeholder URI, as best we can.
`protected String` | `getDisplayContent()` Get the content string to display.
`int` | `getRenderer()` Deprecated. not used.
`void` | `release()` Release/reset this tag.
`void` | `setHeight(int height)` set the height property.
`void` | `setHeight(String ht)`
`void` | `setName(String name)` set the name property.
`void` | `setRenderer(int i)` Deprecated. not used.
`void` | `setWidth(int width)` set the width property
`void` | `setWidth(String wd)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceholderTag

    public PlaceholderTag()

Method Detail

### setName

    public void setName(String name)

  set the name property.

  Parameters:
    `name` - String name of the placeholder

### setRenderer

    public void setRenderer(int i)

  Deprecated. not used.

### getRenderer

    public int getRenderer()

  Deprecated. not used.

### setHeight

    public void setHeight(int height)

  set the height property.

  Parameters:
    `height` - integer height of the placeholder

### setHeight

    public void setHeight(String ht)

### setWidth

    public void setWidth(int width)

  set the width property

  Parameters:
    `width` - integer width of the placeholder

### setWidth

    public void setWidth(String wd)

### doStartTag

    public int doStartTag()
                   throws JspException

  Return the content for the named placeholder to the JSP page.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
    `JspException`

### getDisplayContent

    protected String getDisplayContent()
                                throws CreateException,
                                       ContentException,
                                       RemoteException

  Get the content string to display.

    `CreateException`
    `ContentException`
    `RemoteException`

### release

    public void release()

  Release/reset this tag.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

### fixPlaceholderName

    protected String fixPlaceholderName(String name)

  Convert a placeholder name to a placeholder URI, as best we can.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved